COL(1V)

NAME
col - filter reverse paper motions from nroff output for display on a terminal

SYNOPSIS
col [ -bfhp ]

SYSTEM V SYNOPSIS
/usr/5bin/col [ -bfpx ]

AVAILABILITY
The System V version of this command is available with the System V software installation option. Refer to for information on how to install optional software.

DESCRIPTION

col copies the standard input to the standard output and performs line overlays implied by reverse LINEFEED characters (ESC-7 in ASCII) and by forward and reverse half LINEFEED characters (ESC-9 and ESC-8). col is particularly useful for filtering multicolumn output made with the .rt command of nroff(1), and output resulting from use of the tbl(1) preprocessor.

The control characters SO (ASCII code 017), and SI (016) are assumed to start and end text in an alternate character set. The character set (primary or alternate) associated with each printing character read is remembered; on output, SO and SI characters are generated where necessary to maintain the correct treatment of each character.

All control characters are removed from the input except SPACE, BACKSPACE, TAB, RETURN, NEWLINE, ESC (033) followed by one of 7, 8, 9, SI , SO , and VT (013). This last character is an alternate form of full reverse LINEFEED, for compatibility with some other hardware conventions. All other non-printing characters are ignored.

SYSTEM V DESCRIPTION

The System V version of col converts SPACE to TAB characters by default.

OPTIONS

-b  The output device in use is not capable of backspacing. In this case, if several characters are to appear in the same place, only the last one read will be taken.

-f  Fine. Although col accepts half line motions in its input, it normally does not produce them on output. Instead, text that would appear between lines is moved to the next lower full-line boundary. The -f option suppresses this treatment. In this case the output from col may contain forward half LINEFEED characters (ESC-9), but will still never contain either kind of reverse line motion.

-h  Convert strings of blanks to TAB characters to decrease the printing time.

-p  Pass escape-sequences that col does not know about to the output, rather than stripping them out. This option is highly discouraged unless you are fully aware of the position of the escape sequences within the text.

SYSTEM V OPTIONS

-x  Suppress converting SPACE characters to TAB characters.

ENVIRONMENT

The environment variables LC_CTYPE, LANG, and LC_default control the character classification throughout col. On entry to col, these environment variables are checked in the following order: LC_CTYPE, LANG, and LC_default. When a valid value is found, remaining environment variables for character classification are ignored. For example, a new setting for LANG does not override the current valid character classification rules of LC_CTYPE. When none of the values is valid, the shell character classification defaults to the POSIX.1 “C” locale.

SEE ALSO
nroff(1), tbl(1), troff(1), locale(5), iso_8859_1(7)

BUGS

col cannot back up more than 128 lines.

At most 1600 characters, including BACKSPACE characters, are allowed on a line.

Local vertical motions that would result in backing up over the first line of the document are ignored. As a result, the first line must not have any superscripts.